<?php

class Actividad extends CActiveRecord
{
	
	public function tableName()
	{
		return 'actividad';
	}

	public function rules()
	{
		return array(
			array('fun_rut', 'required'),
			array('fis_codigo, act_cod_estado, act_tipo, act_sub_tipo, act_sub_sub_tipo, act_dias, act_dias_vencidos', 'numerical', 'integerOnly'=>true),
			array('act_ruc, act_observacion, act_rif', 'length', 'max'=>50),
			array('fun_rut', 'length', 'max'=>12),
			array('act_des_estado, act_des_actividad, act_des_destino, act_des_actividad2', 'length', 'max'=>250),
			array('act_fecha_recep, act_fecha_actividad, act_fecha_sistema, act_fecha_termino, act_fecha_chequeo', 'safe'),
			array('act_codigo, fis_codigo, act_ruc, act_fecha_recep, fun_rut, act_fecha_actividad, act_fecha_sistema, act_cod_estado, act_des_estado, act_des_actividad, act_tipo, act_sub_tipo, act_sub_sub_tipo, act_dias, act_fecha_termino, act_dias_vencidos, act_des_destino, act_observacion, act_fecha_chequeo, act_des_actividad2, act_rif', 'safe', 'on'=>'search'),
		);
	}

	public function relations()
	{
		return array(
		);
	}

	public function attributeLabels()
	{
		return array(
			'act_codigo' => 'Act Codigo',
			'fis_codigo' => 'Fiscalía',
			'act_ruc' => 'Ruc',
			'act_fecha_recep' => 'Fecha Recepción',
			'fun_rut' => 'Fiscal',
			'act_fecha_actividad' => 'Fecha Actividad',
			'act_fecha_sistema' => 'Act Fecha Sistema',
			'act_cod_estado' => 'Act Cod Estado',
			'act_des_estado' => 'Estado',
			'act_des_actividad' => 'Actividad',
			'act_tipo' => 'Act Tipo',
			'act_sub_tipo' => 'Act Sub Tipo',
			'act_sub_sub_tipo' => 'Act Sub Sub Tipo',
			'act_dias' => 'N. Dias',
			'act_fecha_termino' => 'Act Fecha Termino',
			'act_dias_vencidos' => 'Dias Vencidos',
			'act_des_destino' => 'Destino',
			'act_observacion' => 'Observacion',
			'act_fecha_chequeo' => 'Act Fecha Chequeo',
			'act_des_actividad2' => 'Act Des Actividad2',
			'act_rif' => 'Act Rif',
		);
	}

	public function search()
	{	
		$criteria=new CDbCriteria;

		$criteria->compare('act_codigo',$this->act_codigo);
		//$criteria->addCondition('act_cod_estado=3');
		//$criteria->addCondition('act_dias_vencidos<1');
		//$criteria->addCondition('act_observacion<>"PIDE CUENTA"');(act_tipo in (22) and act_sub_tipo in (1,2,3))
		//$criteria->addCondition('act_tipo in (22) and act_sub_tipo in (1,2,3)');
		$criteria->addCondition('(act_tipo in (22) and act_sub_tipo in (1,2,3)) or (act_tipo in (26) and act_sub_tipo in (2,11,12,13,24,25,26))');
		$criteria->compare('fis_codigo',$this->fis_codigo);
		$criteria->compare('act_ruc',$this->act_ruc,true);
		$criteria->compare('act_fecha_recep',$this->act_fecha_recep,true);
		$criteria->compare('fun_rut',$this->fun_rut,true);
		$criteria->compare('act_fecha_actividad',$this->act_fecha_actividad,true);
		$criteria->compare('act_fecha_sistema',$this->act_fecha_sistema,true);
		$criteria->compare('act_cod_estado',$this->act_cod_estado);
		$criteria->compare('act_des_estado',$this->act_des_estado,true);
		$criteria->compare('act_des_actividad',$this->act_des_actividad,true);
		$criteria->compare('act_tipo',$this->act_tipo);
		$criteria->compare('act_sub_tipo',$this->act_sub_tipo);
		$criteria->compare('act_sub_sub_tipo',$this->act_sub_sub_tipo);
		$criteria->compare('act_dias',$this->act_dias);
		$criteria->compare('act_fecha_termino',$this->act_fecha_termino,true);
		$criteria->compare('act_dias_vencidos',$this->act_dias_vencidos);
		$criteria->compare('act_des_destino',$this->act_des_destino,true);
		$criteria->compare('act_observacion',$this->act_observacion,true);
		$criteria->compare('act_fecha_chequeo',$this->act_fecha_chequeo,true);
		$criteria->compare('act_des_actividad2',$this->act_des_actividad2,true);
		$criteria->compare('act_rif',$this->act_rif,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function causas_varias_vencidos()
	{	
		$criteria=new CDbCriteria;

		$criteria->compare('act_ruc',$this->act_ruc,true);
		$criteria->compare('act_fecha_recep',$this->act_fecha_recep,true);
		$criteria->addCondition('(act_tipo in (22) and act_sub_tipo in (1,2,3)) or (act_tipo in (26) and act_sub_tipo in (2,11,12,13,24,25,26))');
		$criteria->addCondition('act_dias_vencidos>=5');
		//$criteria->addCondition('act_observacion<>"PIDE CUENTA"');		
		$criteria->compare('act_fecha_actividad',$this->act_fecha_actividad,true);
		$criteria->compare('act_fecha_sistema',$this->act_fecha_sistema,true);		
		$criteria->compare('act_des_estado',$this->act_des_estado,true);
		$criteria->compare('act_des_actividad',$this->act_des_actividad,true);		
		$criteria->compare('act_dias',$this->act_dias);
		$criteria->compare('act_fecha_termino',$this->act_fecha_termino,true);
		$criteria->compare('act_dias_vencidos',$this->act_dias_vencidos);
		$criteria->compare('act_des_destino',$this->act_des_destino,true);
		$criteria->compare('act_observacion',$this->act_observacion,true);		
		$criteria->compare('act_des_actividad2',$this->act_des_actividad2,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function audiencias()
	{	
		$criteria=new CDbCriteria;

		$criteria->compare('act_ruc',$this->act_ruc,true);
		$criteria->compare('act_fecha_recep',$this->act_fecha_recep,true);
		$criteria->addCondition('(act_tipo in (23) and act_sub_tipo in (2) and act_sub_sub_tipo in (10,11,28,31,32))');
			
		$criteria->compare('act_fecha_actividad',$this->act_fecha_actividad,true);
		$criteria->compare('act_fecha_sistema',$this->act_fecha_sistema,true);		
		$criteria->compare('act_des_estado',$this->act_des_estado,true);
		$criteria->compare('act_des_actividad',$this->act_des_actividad,true);		
		$criteria->compare('act_dias',$this->act_dias);
		$criteria->compare('act_fecha_termino',$this->act_fecha_termino,true);
		$criteria->compare('act_dias_vencidos',$this->act_dias_vencidos);
		$criteria->compare('act_des_destino',$this->act_des_destino,true);
		$criteria->compare('act_observacion',$this->act_observacion,true);		
		$criteria->compare('act_des_actividad2',$this->act_des_actividad2,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function causas_pide_cuenta()
	{	
		$criteria=new CDbCriteria;

		$criteria->compare('act_ruc',$this->act_ruc,true);
		$criteria->compare('act_fecha_recep',$this->act_fecha_recep,true);
		$criteria->addCondition('act_dias_vencidos>=5');
		$criteria->addCondition('act_observacion like "%PIDE CUENTA"');		
		$criteria->compare('act_fecha_actividad',$this->act_fecha_actividad,true);			
		$criteria->compare('act_des_estado',$this->act_des_estado,true);
		$criteria->compare('act_des_actividad',$this->act_des_actividad,true);		
		$criteria->compare('act_dias',$this->act_dias);		
		$criteria->compare('act_dias_vencidos',$this->act_dias_vencidos);		
		$criteria->compare('act_observacion',$this->act_observacion,true);		

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
